__hsm_key_factory_task Struct Reference

## Data Fields

engine_type * | engine
policy_key_t * | policy_key
policy_t * | policy
time_t | duration
int | reschedule_enforce_task

## Detailed Description

Definition at line 51 of file hsm_key_factory.c.

## Field Documentation

## duration

time_t __hsm_key_factory_task::duration

Definition at line 57 of file hsm_key_factory.c.

Referenced by hsm_key_factory_schedule_generate_all(), and hsm_key_factory_schedule_generate_policy().

## engine

engine_type* __hsm_key_factory_task::engine

Definition at line 52 of file hsm_key_factory.c.

Referenced by hsm_key_factory_schedule_generate_all(), and hsm_key_factory_schedule_generate_policy().

## policy

policy_t* __hsm_key_factory_task::policy

Definition at line 56 of file hsm_key_factory.c.

Referenced by hsm_key_factory_schedule_generate_all(), and hsm_key_factory_schedule_generate_policy().

## policy_key

policy_key_t* __hsm_key_factory_task::policy_key

Definition at line 55 of file hsm_key_factory.c.

Referenced by hsm_key_factory_schedule_generate_all(), and hsm_key_factory_schedule_generate_policy().

## reschedule_enforce_task

int __hsm_key_factory_task::reschedule_enforce_task

Definition at line 58 of file hsm_key_factory.c.

Referenced by hsm_key_factory_schedule_generate_all(), and hsm_key_factory_schedule_generate_policy().

The documentation for this struct was generated from the following file:

- src/hsmkey/hsm_key_factory.c